charconv File Reference

Go to the source code of this file.

## Classes

struct | std::from_chars_result
struct | std::to_chars_result

## Namespaces

namespace | std
namespace | std::__detail

## Macros

#define | _GLIBCXX_CHARCONV
#define | _GLIBCXX_TO_CHARS(T)

## Typedefs

template<typename _Tp >
using | std::__detail::__integer_from_chars_result_type = enable_if_t< __or_< __is_signed_integer< _Tp >, __is_unsigned_integer< _Tp >, is_same< char, remove_cv_t< _Tp > > >::value, from_chars_result >
template<typename _Tp >
using | std::__detail::__integer_to_chars_result_type = enable_if_t< __or_< __is_signed_integer< _Tp >, __is_unsigned_integer< _Tp >, is_same< char, remove_cv_t< _Tp > > >::value, to_chars_result >
template<typename _Tp >
using | std::__detail::__unsigned_least_t = typename __to_chars_unsigned_type< _Tp >::type

## Enumerations

enum class | std::chars_format { scientific , fixed , hex , general }

## Functions

template<typename _Tp >
bool | std::__detail::__from_chars_alnum (const char *&__first, const char *__last, _Tp &__val, int __base)
constexpr char | std::__detail::__from_chars_alpha_to_num (char __c)
template<typename _Tp >
bool | std::__detail::__from_chars_binary (const char *&__first, const char *__last, _Tp &__val)
template<typename _Tp >
bool | std::__detail::__from_chars_digit (const char *&__first, const char *__last, _Tp &__val, int __base)
template<typename _Tp >
bool | std::__detail::__raise_and_add (_Tp &__val, int __base, unsigned char __c)
template<typename _Tp >
to_chars_result | std::__detail::__to_chars (char *__first, char *__last, _Tp __val, int __base) noexcept
template<typename _Tp >
__integer_to_chars_result_type< _Tp > | std::__detail::__to_chars_10 (char *__first, char *__last, _Tp __val) noexcept
template<typename _Tp >
__integer_to_chars_result_type< _Tp > | std::__detail::__to_chars_16 (char *__first, char *__last, _Tp __val) noexcept
template<typename _Tp >
__integer_to_chars_result_type< _Tp > | std::__detail::__to_chars_2 (char *__first, char *__last, _Tp __val) noexcept
template<typename _Tp >
__integer_to_chars_result_type< _Tp > | std::__detail::__to_chars_8 (char *__first, char *__last, _Tp __val) noexcept
template<typename _Tp >
__detail::__integer_to_chars_result_type< _Tp > | std::__to_chars_i (char *__first, char *__last, _Tp __value, int __base=10)
template<typename _Tp >
constexpr unsigned | std::__detail::__to_chars_len (_Tp __value, int __base) noexcept
template<typename _Tp >
constexpr unsigned | std::__detail::__to_chars_len_2 (_Tp __value) noexcept
template<typename _Tp >
__detail::__integer_from_chars_result_type< _Tp > | std::from_chars (const char *__first, const char *__last, _Tp &__value, int __base=10)
constexpr chars_format | std::operator& (chars_format __lhs, chars_format __rhs) noexcept
constexpr chars_format & | std::operator&= (chars_format &__lhs, chars_format __rhs) noexcept
constexpr chars_format | std::operator^ (chars_format __lhs, chars_format __rhs) noexcept
constexpr chars_format & | std::operator^= (chars_format &__lhs, chars_format __rhs) noexcept
constexpr chars_format | std::operator| (chars_format __lhs, chars_format __rhs) noexcept
constexpr chars_format & | std::operator|= (chars_format &__lhs, chars_format __rhs) noexcept
constexpr chars_format | std::operator~ (chars_format __fmt) noexcept
to_chars_result | std::to_chars (char *, char *, bool, int=10)=delete
to_chars_result | std::to_chars (char *__first, char *__last, char __value, int __base=10)
to_chars_result | std::to_chars (char *__first, char *__last, signed char __value, int __base=10)
to_chars_result | std::to_chars (char *__first, char *__last, signed int __value, int __base=10)
to_chars_result | std::to_chars (char *__first, char *__last, signed long __value, int __base=10)
to_chars_result | std::to_chars (char *__first, char *__last, signed long long __value, int __base=10)
to_chars_result | std::to_chars (char *__first, char *__last, signed short __value, int __base=10)
to_chars_result | std::to_chars (char *__first, char *__last, unsigned char __value, int __base=10)
to_chars_result | std::to_chars (char *__first, char *__last, unsigned int __value, int __base=10)
to_chars_result | std::to_chars (char *__first, char *__last, unsigned long __value, int __base=10)
to_chars_result | std::to_chars (char *__first, char *__last, unsigned long long __value, int __base=10)
to_chars_result | std::to_chars (char *__first, char *__last, unsigned short __value, int __base=10)

## Detailed Description

This is a Standard C++ Library header.

Definition in file charconv.

## Macro Definition Documentation

## _GLIBCXX_CHARCONV

#define _GLIBCXX_CHARCONV

Definition at line 30 of file charconv.

## _GLIBCXX_TO_CHARS

#define _GLIBCXX_TO_CHARS | ( |  | T | ) |

Definition at line 360 of file charconv.